Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.testcase
Class WsdlTestCase

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.TestCaseConfig>
              com.eviware.soapui.impl.wsdl.testcase.WsdlTestCase

All Implemented Interfaces:
  ModelItem, TestCase, PropertyChangeNotifier

    public class WsdlTestCase

extends AbstractWsdlModelItem<com.eviware.soapui.config.TestCaseConfig>
implements TestCase

TestCase implementation for WSDL projects

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`static java.lang.String` | `DISCARD_OK_RESULTS`
`static java.lang.String` | `FAIL_ON_ERROR_PROPERTY`
`static java.lang.String` | `FAIL_ON_ERRORS_PROPERTY`
`static java.lang.String` | `KEEP_SESSION_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.testsuite.TestCase
`STATUS_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlTestCase(WsdlTestSuite testSuite, com.eviware.soapui.config.TestCaseConfig config, boolean forLoadTest)`

Method Summary
`WsdlLoadTest` | `addNewLoadTest(java.lang.String name)`
`void` | `addTestRunListener(TestRunListener listener)`
`WsdlTestStep` | `addTestStep(java.lang.String type, java.lang.String name)`
`WsdlTestStep` | `addTestStep(com.eviware.soapui.config.TestStepConfig stepConfig)`
`WsdlLoadTest` | `cloneLoadTest(WsdlLoadTest loadTest, java.lang.String name)`
`WsdlTestStep` | `cloneStep(WsdlTestStep testStep, java.lang.String name)`
`TestStep` | `findNextStepOfType(TestStep referenceStep, java.lang.Class stepClass)`
`TestStep` | `findPreviousStepOfType(TestStep referenceStep, java.lang.Class stepClass)`
`ActionList` | `getCreateActions()`
`boolean` | `getDiscardOkResults()`
`boolean` | `getFailOnError()`
`boolean` | `getFailTestCaseOnErrors()`
`int` | `getIndexOfLoadTest(LoadTest loadTest)`
`int` | `getIndexOfTestStep(TestStep step)`
`boolean` | `getKeepSession()`
`WsdlLoadTest` | `getLoadTestAt(int index)`
`LoadTest` | `getLoadTestByName(java.lang.String loadTestName)`
`int` | `getLoadTestCount()`
`java.util.List<LoadTest>` | `getLoadTestList()`
`boolean` | `getSearchProperties()`
`TestRunListener[]` | `getTestRunListeners()`
`WsdlTestStep` | `getTestStepAt(int index)`
`WsdlTestStep` | `getTestStepByName(java.lang.String stepName)`
`int` | `getTestStepCount()`
`int` | `getTestStepIndexByName(java.lang.String stepName)`
`java.util.List<TestStep>` | `getTestStepList()`
`
`<T extends TestStep> java.util.List<T>`
` | `getTestStepsOfType(java.lang.Class<T> stepType)`
`WsdlTestSuite` | `getTestSuite()`
`WsdlTestStep` | `importTestStep(WsdlTestStep testStep, java.lang.String name, int index)`
`WsdlTestStep[]` | `importTestSteps(WsdlTestStep[] testSteps, int index)`
`WsdlTestStep` | `insertTestStep(java.lang.String type, java.lang.String name, int index)`
`WsdlTestStep` | `insertTestStep(com.eviware.soapui.config.TestStepConfig stepConfig, int ix)`
`WsdlTestStep[]` | `insertTestSteps(com.eviware.soapui.config.TestStepConfig[] stepConfig, int ix)`
`void` | `moveTestStep(int ix, int offset)` Moves a step by the specified offset, a bit awkward since xmlbeans doesn't support reordering of arrays, we need to create copies of the contained XmlObjects
`void` | `onSave()`
`void` | `release()`
`void` | `removeLoadTest(WsdlLoadTest loadTest)`
`void` | `removeTestRunListener(TestRunListener listener)`
`void` | `removeTestStep(WsdlTestStep testStep)`
`void` | `resetConfigOnMove(com.eviware.soapui.config.TestCaseConfig testCaseArray)`
`WsdlTestCaseRunner` | `run(PropertiesMap properties, boolean async)`
`void` | `setDiscardOkResults(boolean discardOkResults)`
`void` | `setFailOnError(boolean failOnError)`
`void` | `setFailTestCaseOnErrors(boolean failTestCaseOnErrors)`
`void` | `setKeepSession(boolean keepSession)`
`void` | `setSearchProperties(boolean searchProperties)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### KEEP_SESSION_PROPERTY

    public static final java.lang.String KEEP_SESSION_PROPERTY

### FAIL_ON_ERROR_PROPERTY

    public static final java.lang.String FAIL_ON_ERROR_PROPERTY

### FAIL_ON_ERRORS_PROPERTY

    public static final java.lang.String FAIL_ON_ERRORS_PROPERTY

### DISCARD_OK_RESULTS

    public static final java.lang.String DISCARD_OK_RESULTS

Constructor Detail

### WsdlTestCase

    public WsdlTestCase(WsdlTestSuite testSuite,
                        com.eviware.soapui.config.TestCaseConfig config,
                        boolean forLoadTest)

Method Detail

### getKeepSession

    public boolean getKeepSession()

### setKeepSession

    public void setKeepSession(boolean keepSession)

### getFailOnError

    public boolean getFailOnError()

### getFailTestCaseOnErrors

    public boolean getFailTestCaseOnErrors()

### setFailOnError

    public void setFailOnError(boolean failOnError)

### setFailTestCaseOnErrors

    public void setFailTestCaseOnErrors(boolean failTestCaseOnErrors)

### getSearchProperties

    public boolean getSearchProperties()

### setSearchProperties

    public void setSearchProperties(boolean searchProperties)

### getDiscardOkResults

    public boolean getDiscardOkResults()

### setDiscardOkResults

    public void setDiscardOkResults(boolean discardOkResults)

### addNewLoadTest

    public WsdlLoadTest addNewLoadTest(java.lang.String name)

### removeLoadTest

    public void removeLoadTest(WsdlLoadTest loadTest)

### getTestSuite

    public WsdlTestSuite getTestSuite()

  Specified by:
    `getTestSuite` in interface `TestCase`

### cloneStep

    public WsdlTestStep cloneStep(WsdlTestStep testStep,
                                  java.lang.String name)

### getTestStepAt

    public WsdlTestStep getTestStepAt(int index)

  Specified by:
    `getTestStepAt` in interface `TestCase`

### getTestStepCount

    public int getTestStepCount()

  Specified by:
    `getTestStepCount` in interface `TestCase`

### getLoadTestAt

    public WsdlLoadTest getLoadTestAt(int index)

  Specified by:
    `getLoadTestAt` in interface `TestCase`

### getLoadTestByName

    public LoadTest getLoadTestByName(java.lang.String loadTestName)

  Specified by:
    `getLoadTestByName` in interface `TestCase`

### getLoadTestCount

    public int getLoadTestCount()

  Specified by:
    `getLoadTestCount` in interface `TestCase`

### addTestStep

    public WsdlTestStep addTestStep(com.eviware.soapui.config.TestStepConfig stepConfig)

### addTestStep

    public WsdlTestStep addTestStep(java.lang.String type,
                                    java.lang.String name)

### insertTestStep

    public WsdlTestStep insertTestStep(java.lang.String type,
                                       java.lang.String name,
                                       int index)

### importTestStep

    public WsdlTestStep importTestStep(WsdlTestStep testStep,
                                       java.lang.String name,
                                       int index)

### importTestSteps

    public WsdlTestStep[] importTestSteps(WsdlTestStep[] testSteps,
                                          int index)

### insertTestStep

    public WsdlTestStep insertTestStep(com.eviware.soapui.config.TestStepConfig stepConfig,
                                       int ix)

### insertTestSteps

    public WsdlTestStep[] insertTestSteps(com.eviware.soapui.config.TestStepConfig[] stepConfig,
                                          int ix)

### removeTestStep

    public void removeTestStep(WsdlTestStep testStep)

### run

    public WsdlTestCaseRunner run(PropertiesMap properties,
                                  boolean async)

  Specified by:
    `run` in interface `TestCase`

### addTestRunListener

    public void addTestRunListener(TestRunListener listener)

  Specified by:
    `addTestRunListener` in interface `TestCase`

### removeTestRunListener

    public void removeTestRunListener(TestRunListener listener)

  Specified by:
    `removeTestRunListener` in interface `TestCase`

### getTestRunListeners

    public TestRunListener[] getTestRunListeners()

### getIndexOfTestStep

    public int getIndexOfTestStep(TestStep step)

  Specified by:
    `getIndexOfTestStep` in interface `TestCase`

### moveTestStep

    public void moveTestStep(int ix,
                             int offset)

  Moves a step by the specified offset, a bit awkward since xmlbeans doesn't support reordering of arrays, we need to create copies of the contained XmlObjects

  Specified by:
    `moveTestStep` in interface `TestCase`
  Parameters:
    `ix` -
    `offset` -

### getIndexOfLoadTest

    public int getIndexOfLoadTest(LoadTest loadTest)

  Specified by:
    `getIndexOfLoadTest` in interface `TestCase`

### getTestStepIndexByName

    public int getTestStepIndexByName(java.lang.String stepName)

  Specified by:
    `getTestStepIndexByName` in interface `TestCase`

### findPreviousStepOfType

    public TestStep findPreviousStepOfType(TestStep referenceStep,
                                           java.lang.Class stepClass)

  Specified by:
    `findPreviousStepOfType` in interface `TestCase`

### findNextStepOfType

    public TestStep findNextStepOfType(TestStep referenceStep,
                                       java.lang.Class stepClass)

  Specified by:
    `findNextStepOfType` in interface `TestCase`

### getTestStepList

    public java.util.List<TestStep> getTestStepList()

  Specified by:
    `getTestStepList` in interface `TestCase`

### getTestStepsOfType

    public <T extends TestStep> java.util.List<T> getTestStepsOfType(java.lang.Class<T> stepType)

  Specified by:
    `getTestStepsOfType` in interface `TestCase`

### getTestStepByName

    public WsdlTestStep getTestStepByName(java.lang.String stepName)

  Specified by:
    `getTestStepByName` in interface `TestCase`

### cloneLoadTest

    public WsdlLoadTest cloneLoadTest(WsdlLoadTest loadTest,
                                      java.lang.String name)

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestCaseConfig>`

### getCreateActions

    public ActionList getCreateActions()

### resetConfigOnMove

    public void resetConfigOnMove(com.eviware.soapui.config.TestCaseConfig testCaseArray)

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestCaseConfig>`

### getLoadTestList

    public java.util.List<LoadTest> getLoadTestList()

  Specified by:
    `getLoadTestList` in interface `TestCase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.